// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "Sample_MFC.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_INITMENUPOPUP()
	ON_WM_CREATE()
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // Status line indicator
	ID_SEPARATOR,
	ID_SEPARATOR,
	ID_SEPARATOR,
	ID_SEPARATOR,
	ID_SEPARATOR
};



// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
}

CMainFrame::~CMainFrame()
{
}


int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create Status bar\n");
		return -1;
	}

	m_wndStatusBar.SetPaneInfo(0, STATUS_ERROR,		SBPS_STRETCH,  0);
	m_wndStatusBar.SetPaneInfo(1, STATUS_FPS,		SBPS_POPOUT,  80);
	m_wndStatusBar.SetPaneInfo(2, STATUS_POINTER,	SBPS_POPOUT,  80);
	m_wndStatusBar.SetPaneInfo(3, STATUS_RAWDATA,	SBPS_POPOUT,  200);
	m_wndStatusBar.SetPaneInfo(4, STATUS_TEMPDATA,	SBPS_POPOUT,  120);
	m_wndStatusBar.SetPaneInfo(5, STATUS_INTTEMP,	SBPS_POPOUT,  120);
	
	
	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	cs.style &= ~FWS_ADDTOTITLE; 

	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}


// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG


// CMainFrame message handlers
//////////////////////////////////////////////////////////////////////////////////////////////
//
//	Show Menu
//

void CMainFrame::OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu)
{
	CFrameWnd::OnInitMenuPopup(pPopupMenu, nIndex, bSysMenu);


	theApp.m_pView->InitMenuPopup(pPopupMenu);
}

