#pragma once

#include "CArtCamSdk.hpp"
#include "Sample_MFCDoc.h"

// CSaveRecDlg dialog

class CSaveRecDlg : public CDialog
{
	DECLARE_DYNAMIC(CSaveRecDlg)

public:

	CArtCamSdk*			m_pArtCam;
	LPTHERMOPARAM		m_pParam;
	CEdit*				m_pEdit;
	CSample_MFCDoc*		m_pDoc;
	CComboBox			m_ComboRec;
	BOOL				bRun;		// Recording flag  TRUE: Recording in Progress   FALSE: Pause
	CButton				*bButton;

	CSaveRecDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSaveRecDlg();

// Dialog Data
	enum { IDD = IDD_REC_FILE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangeRec();
	afx_msg void OnBnClickedRec();
};
